Page MenuHomePhabricator

Consider removing the title "Message group" that appears inside the group selector
Closed, ResolvedPublic

Description

On Special:Translate the title "Message group" appears both in the header, and inside the group selector panel:

Is this necessary? Perhaps it can be removed from inside the panel?

If it's OK from the design point of view, then it's good first task to do, and should be a good project for beginners.

If designers think that it's necessary, then this task can be closed.

Event Timeline

Amire80 created this task.May 14 2017, 12:25 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 14 2017, 12:25 PM

I think it makes sense to remove it from inside the panel. We need to take into account that the same panel is also used in the homepage (and maybe other contexts?), but I don't see a problem there either.

Change 353837 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[mediawiki/extensions/Translate@master] Remove duplicate "Message group" title

https://gerrit.wikimedia.org/r/353837

Amire80 removed TerraCodes as the assignee of this task.May 15 2017, 8:22 AM
Amire80 added a subscriber: Anna.d92.

Thanks, @Pginer-WMF.

I'm assigning it to @Anna.d92, as a first simple task on the way to T62904, which is much more complicated :)

Amire80 assigned this task to Anna.d92.May 15 2017, 8:23 AM
Amire80 added a subscriber: Roni.zhelenchuk.

Oh! Race condition :)

@TerraCodes already sent a patch this before I did the assignment :)

With @TerraCodes' patch it looks like this in Chrome:

Perhaps it's worth adding a bit of padding? It looks a bit tight to me.

Change 353837 abandoned by TerraCodes:
Remove duplicate "Message group" title

https://gerrit.wikimedia.org/r/353837

Change 353841 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[mediawiki/extensions/Translate@master] Remove duplicate "Message group" title

https://gerrit.wikimedia.org/r/353841

Change 353841 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove duplicate "Message group" title

https://gerrit.wikimedia.org/r/353841

Nikerabbit closed this task as Resolved.May 20 2017, 12:18 PM
Nikerabbit reassigned this task from Anna.d92 to TerraCodes.
Nikerabbit edited projects, added Wikimedia-Hackathon-2017; removed Patch-For-Review.